Bug 500259 - Pre-Review Request: javacvs - Netbeans CVS module and library
Pre-Review Request: javacvs - Netbeans CVS module and library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 18:18 EDT by Fernando Nasser
Modified: 2009-09-14 05:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 14:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:18:36 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/javacvs.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/javacvs-5.0-5.jpp6.src.rpm

Description: 
The module provides UI frontend to the CVS in the Netbeans
IDE. Just now there is work in progress addressing project
and typical workflow integration.
Supported commands are: commit, update, add, remove, tag,
checkout, import, history, diff, status, log, annotate.
The library implements a CVS client protocol in Java. It
allows to access CVS servers without setting up an external
cvs program. It's base for the module.
Comment 1 Andrew Overholt 2009-05-14 16:58:40 EDT
- I generated a source tarball using the instructions (which are missing a tar command) and although the md5sums don't match, the contents are the same
- the license is fine, but please use SPL as the table at [1] states
- the pom file matches what it says in the URL
- none of the other XML source files appear to exist upstream anymore ... can we get them from somewhere else?
Comment 2 Andrew Overholt 2009-05-15 10:33:17 EDT
I forgot to post a link to the licensing table:

http://fedoraproject.org/wiki/Licensing#SoftwareLicenses
Comment 3 Andrew Overholt 2009-08-21 11:37:23 EDT
The JAR that ends up being included in javacvs-lib contains the exact same classes that are in the file from netbeans-ide10 (F-11; netbeans-ide11 is in rawhide), /usr/share/netbeans/ide10/modules/org-netbeans-lib-cvsclient.jar

Other than some minor manifest updates to the JAR (un-related to the maven stack, I presume), I think we'll just need to add the javacvs POM to the netbeans SRPM and get it included in netbeans-ide10 (or 11).  I'll work on this.
Comment 4 Andrew Overholt 2009-08-31 14:43:35 EDT
We're just going to use the netbeans JAR instead.  Closing.
Comment 5 Alexander Kurtakov 2009-09-14 05:02:02 EDT
Drop review flag. This is part of netbeans-ide package.

Note You need to log in before you can comment on or make changes to this bug.